Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003526TestLinkUsers and Rightspublic2010-06-15 08:062010-08-31 20:28
Reporterpaontis 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 6 
Summary0003526: Restrict access by default not working properly
DescriptionWe need to do exacly what described in the user manual, chapter 8.2 Role Permissions, case study Restrict access by default.
We tipically need to set users as leader for their own projects.

Steps To ReproduceI create a user as no_rights.
Then a set him as Leader for a giver project.
For a testplan of that project, he is inherited as leader.
He can create test plan, but he has no roghts about that test plan.

So now we are forced to create all users as leader.

See screenshot no-rights_as_leader.jpg (i renamed Leader as test Leader)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon no-rights_as_leader.jpg [^] (18,373 bytes) 2010-06-15 08:06


zip file icon fix-3526.zip [^] (8,285 bytes) 2010-07-04 16:35

- Relationships
child of 0003570closedfman Availables Fixes for 1.9 Beta 5 

-  Notes
(0010537)
fman (administrator)
2010-07-04 16:35

Please use attached fix, and let us know
(0010547)
paontis (reporter)
2010-07-05 14:56

Now it works fine.
Great job, thx very much!
(0011156)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-06-15 08:06 paontis New Issue
2010-06-15 08:06 paontis File Added: no-rights_as_leader.jpg
2010-07-04 16:01 fman Assigned To => fman
2010-07-04 16:01 fman Status new => assigned
2010-07-04 16:35 fman Note Added: 0010537
2010-07-04 16:35 fman File Added: fix-3526.zip
2010-07-04 16:36 fman Status assigned => feedback
2010-07-05 14:56 paontis Note Added: 0010547
2010-07-05 14:56 paontis Status feedback => assigned
2010-07-05 18:58 fman Status assigned => resolved
2010-07-05 18:58 fman Fixed in Version => 1.9 Beta 6
2010-07-05 18:58 fman Resolution open => fixed
2010-07-05 18:59 fman Relationship added child of 0003570
2010-08-31 20:28 fman Note Added: 0011156
2010-08-31 20:28 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker